/*typography size */
h1 {
    color: #404040;
    text-transform: capitalize;
}

h3 {
    text-transform: capitalize;
    margin-bottom: 1.5rem;
}

ul li {
    font-family: 'Lexend';
    font-size: 1rem;
    color: #404040;
    line-height: 1.6;
    list-style-position: inside;
}


/* class and elements design tokens */
section {
    margin: 7rem auto;
}

.p-bold {
    font-weight: 700;
}

.tag-blue {
    display: inline-block;
    width: auto;
    padding: 0.7rem 1.5rem;
    margin-bottom: 1.5rem;
    border-radius: 3rem;
    font-weight: 600;
    text-transform: capitalize;
    color: #fafafa;
    background-color: #0025FF;
}

.bg-grey {
    background-color: #EFF4FF;
}

.bg-white {
    background-color: #fafafa;
}

.container-row {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    gap: 3rem;
}

.container-row img {
    width: 50%;
    flex: 1;
}

.container-row .item {
    width: 100%
}

.container-row p, .container-row ul {
    flex: 1;
}

.card {
    padding: 2rem;
    border-radius: 1rem;
}

.card-full {
    max-width: 100%;
    padding: 2rem;
    border-radius: 1rem;
}

.card-center {
    padding: 2rem;
    border-radius: 1rem;
    text-align: center;
    z-index: 0;
}


.title-wrapper {
    display: flex;
    gap: 1rem;
}

/* title section */
.title-section h1 {
    margin-top: 3rem;
    color: #404040;
}

.title-section div p {
    max-width: 70%;
}

.title-section img {
    margin-top: 2.5rem;
    width: 100%;
}

/* client introduction */
.clientIntro-section .container-row {
    margin-top: 3rem;
}


/* challenge section */
.challenge-section .container-row {
    align-items: center;
}

.challenge-section .container {
    margin-bottom: 4rem;
}


/* design section*/
.design-section .container-row .item {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: stretch;
    text-align: center;
    gap: 1rem;
}


.design-section .container-row .item img {
    width: 4rem;
}

.design-section .concept-container {
    margin-top: 4rem;
}

.wireframe-container {
    margin-top: 4rem;
}

.wireframe-container .container-row {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
}

.feedback-container {
    margin-top: 4rem;
    display: grid;
    grid-template: auto 1fr 1fr 1fr / 1fr 1fr;
    gap: 1rem;
}

.feedback-container .tag-blue {
    grid-area: 1 / 1 / 2 / 3;
    justify-self: start;
}

.final-section h3 {
    margin: 0px
}

.container-leftAligned {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;    
}

.container-rightAligned {
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 2rem;
    margin: 4rem 0;
}

.full-img-container {
    margin-top: 6rem;
    width: 100%;
    display: flex;
    justify-content: center;
    
}

.full-img-container img {
    width: 60%;
}

/* result section */
.result-section .container {
    margin-top: 3rem;
}

/* reflection section*/
.reflect-section .container-row {
    margin-bottom: 3rem;
    align-items: center;
}